/*
 * mp3_16.h
 *
 *  Created on: 2020/09/23
 *      Author: hyama
 */

#ifndef MP3_16_H_
#define MP3_16_H_

// 機能
#define PLAY_NEXT_MP3           0x91
#define PLAY_PREV_MP3           0x92
#define PLAY_OTHER_DIR          0x93
#define POWEROFF                0x94
#define GOTO_MAINMENU           0x95
#define SELECT_OTHER_MP3		0x96
#define OPTION_1				0x97
#define OPTION_2				0x98
#define OPTION_3				0x99
#define DO_NOTHING				0x9A

extern void	*pDecoderSync;
extern void	*pStreamMainData;
extern void	*pFrameOverlap;
extern volatile int DecodeSkipflg;

#if defined(LIBMAD_DECODER_H)
int init_each_mp3(struct mad_decoder *decoder);		// maic.c
void skip_begin(struct mad_decoder *decoder);
void skip_end(struct mad_decoder *decoder);
#endif

void Pause();
void WaitMs(int ms);

#endif /* MP3_16_H_ */
